<?php

/**
 * @package     VP Prime Framework
 *
 * @author      Abhishek Das <info@virtueplanet.com>
 * @link        https://www.virtueplanet.com
 * @copyright   Copyright (C) 2023-2025 Virtueplanet Services LLP. All Rights Reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper as HelperModuleHelper;
use Virtueplanet\Module\ProductList\Site\Helper\ModuleHelper;

defined('_JEXEC') or die;

$app             = Factory::getApplication();
$showPrice       = $params->get('show_price', 1);
// @deprecated Use $showPrice instead
$show_price      = $showPrice;
$showRating      = $params->get('show_rating', 1);
$currency        = CurrencyDisplay::getInstance();
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''));
$products        = ModuleHelper::getList($params);

if (!empty($products)) {
    require HelperModuleHelper::getLayoutPath('mod_vpprime_product_list', $params->get('layout', 'default'));
}
